# Uses of Interface
java.util.concurrent.RejectedExecutionHandler

Packages that use RejectedExecutionHandler
Package
Description
java.util.concurrent
Utility classes commonly useful in concurrent programming.

## Uses of RejectedExecutionHandler in java.util.concurrent

Classes in java.util.concurrent that implement RejectedExecutionHandler
Modifier and Type
Class
Description
`static class`
`ThreadPoolExecutor.AbortPolicy`
A handler for rejected tasks that throws a `RejectedExecutionException`.
`static class`
`ThreadPoolExecutor.CallerRunsPolicy`
A handler for rejected tasks that runs the rejected task directly in the calling thread of the `execute` method, unless the executor has been shut down, in which case the task is discarded.
`static class`
`ThreadPoolExecutor.DiscardOldestPolicy`
A handler for rejected tasks that discards the oldest unhandled request and then retries `execute`, unless the executor is shut down, in which case the task is discarded.
`static class`
`ThreadPoolExecutor.DiscardPolicy`
A handler for rejected tasks that silently discards the rejected task.
Methods in java.util.concurrent that return RejectedExecutionHandler
Modifier and Type
Method
Description
`RejectedExecutionHandler`
ThreadPoolExecutor.`getRejectedExecutionHandler()`
Returns the current handler for unexecutable tasks.
Methods in java.util.concurrent with parameters of type RejectedExecutionHandler
Modifier and Type
Method
Description
`void`
ThreadPoolExecutor.`setRejectedExecutionHandler(RejectedExecutionHandler handler)`
Sets a new handler for unexecutable tasks.
Constructors in java.util.concurrent with parameters of type RejectedExecutionHandler
Modifier
Constructor
Description
``
`ScheduledThreadPoolExecutor(int corePoolSize, RejectedExecutionHandler handler)`
Creates a new `ScheduledThreadPoolExecutor` with the given initial parameters.
``
`ScheduledThreadPoolExecutor(int corePoolSize, ThreadFactory threadFactory, RejectedExecutionHandler handler)`
Creates a new `ScheduledThreadPoolExecutor` with the given initial parameters.
``
`ThreadPoolExecutor(int corePoolSize, int maximumPoolSize, long keepAliveTime, TimeUnit unit, BlockingQueue<Runnable> workQueue, RejectedExecutionHandler handler)`
Creates a new `ThreadPoolExecutor` with the given initial parameters and the default thread factory.
``
`ThreadPoolExecutor(int corePoolSize, int maximumPoolSize, long keepAliveTime, TimeUnit unit, BlockingQueue<Runnable> workQueue, ThreadFactory threadFactory, RejectedExecutionHandler handler)`
Creates a new `ThreadPoolExecutor` with the given initial parameters.